<?xml version='1.0' encoding='UTF-8'?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
  <xs:element name="flash-mode" type="flashInfo" />
  <xs:complexType name="flashInfo">
    <xs:sequence>
      <xs:element name="project" type="xs:string" />
      <xs:element name="dagent" type="xs:string" />
      <xs:element name="scatter" type="xs:string" />
      <xs:element name="build_version" type="xs:string" />
      <xs:element name="build_time" type="xs:string" />
      <xs:element name="version" type="xs:string" />
      <xs:element name="contact" type="xs:string" />
      <xs:element name="phone_tracking_en" type="xs:string" />
      <xs:element name="u3_support" type="xs:string" />
      <xs:element ref="feature-options" />
  </xs:sequence>
  </xs:complexType>
  <xs:element name="feature-options">
    <xs:complexType>
      <xs:sequence>
        <xs:element ref="brom" />
        <xs:element ref="da" />
  </xs:sequence>
  </xs:complexType>
  </xs:element>
  <xs:element name="brom">
    <xs:complexType>
      <xs:sequence>
        <xs:element name="soc_id_half_data" type="Y_N_type" />
        <xs:element name="sla_cmd_type" type="sla_cmd_type_values" />
        <xs:element name="sla_pattern_type" type="sla_pattern_type_values" />
  </xs:sequence>
  </xs:complexType>
  </xs:element>
  <xs:element name="da">
    <xs:complexType>
      <xs:sequence>
        <xs:element name="phone_tracking_en" type="Y_N_type" />
        <xs:element name="u3_support" type="Y_N_type" />
  </xs:sequence>
  </xs:complexType>
  </xs:element>
  <xs:simpleType name="Y_N_type">
    <xs:restriction base="xs:string">
      <xs:pattern value="Y|N" />
  </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="sla_cmd_type_values">
    <xs:restriction base="xs:string">
      <xs:pattern value="sla_cmd|sla_ex_cmd" />
  </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="sla_pattern_type_values">
    <xs:restriction base="xs:string">
      <xs:pattern value="rnd_only|rnd_socid|rnd_hrid" />
    </xs:restriction>
  </xs:simpleType>
</xs:schema>
